Name:            g-wrap
Version:         1.9.11
Release:         3%{?dist}
Summary:         A tool for creating Scheme interfaces to C libraries

Group:           Development/Libraries
License:         LGPLv2+
URL:             http://www.nongnu.org/g-wrap
Source:          http://savannah.nongnu.org/download/g-wrap/%{name}-%{version}.tar.gz
Patch0:          g-wrap-1.9.6-shaddup.patch
Patch1:		 g-wrap-1.9.11-libffi.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   guile-devel, guile-lib, libffi-devel
BuildRequires:   slib, glib2-devel, pkgconfig, autoconf
Requires:        guile-lib

Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
This is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.


%package         devel
Summary:         Include files and libraries needed for g-wrap development
Group:           Development/Libraries

Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig, guile-devel, libffi-devel, automake

%description     devel
g-wrap-devel contains development libraries and headers for g-wrap.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install g-wrap-devel if you need to compile programs that
need to use g-wrap C<->Scheme functionality


%prep
%setup -q

%patch0 -p1 -b .shaddup
# https://savannah.nongnu.org/bugs/index.php?25187
%patch1 -p1 -b .libffi


%build
%configure --disable-static

#remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#Is not parallel-build-safe
make


%install
rm -rf %{buildroot}
make INSTALL="install -p" install DESTDIR=%{buildroot}


#Add missing ffi headers
#install -p -m 0644 libffi/fficonfig.h $RPM_BUILD_ROOT%{_includedir}
#install -p -m 0644 libffi/include/{ffi,ffitarget}.h $RPM_BUILD_ROOT%{_includedir}


# remove libtool archive
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove unneeded file
rm -f %{buildroot}%{_datadir}/info/dir
mv  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm ./config.old
cat config.old > config.scm
install -p -m 644 config.scm  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/g-wrap.info.gz %{_infodir}/dir || :


%postun -p /sbin/ldconfig

%preun devel
if [ "$1" = "0" ]; then
    /sbin/install-info --delete %{_infodir}/g-wrap.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README THANKS
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.so.*
%{_libdir}/*.so.*
%{_datadir}/guile/site/*


%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/%{name}/modules/libgw-guile-gw-glib.so
%{_libdir}/%{name}/modules/libgw-guile-standard.so
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
%doc %{_infodir}/g-wrap.*



%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 27 2008 Michel Salim <salimma@fedoraproject.org> - 1.9.11-2
- Patch for incorrect pkgconfig template

* Fri Dec 26 2008 Michel Salim <salimma@fedoraproject.org> - 1.9.11-1
- Update to 1.9.11
- Use system libffi (bug #433083)

* Sat Sep 06 2008 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-7
- Remove out-dated patch -info.patch.
- Rebuild for Rawhide bug #434278.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.9-6
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-5
- Fixed bug #341471.

* Mon Sep 03 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-4
- Bump release tag.

* Thu Aug 30 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-3
- Fixed BR & Requires.
- Moved *.m4 files to -devel package as its should.
- Fixed ownership.

* Sat Aug 25 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-2
- Improved spec.
- Removed all libtool archive.

* Wed Aug 15 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-1
- Updated Release.

* Wed Aug 01 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.9-0.2.rc1
- Fixed BR.
- Fixed scriptlets.
- Removed unneeded patchs.
- Removed libgwrap*.la which're not needed anymore.

* Tue Jul 31 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.9.9-0.1.rc1
- minor fixes

* Wed Jul 11 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.8-2
- Added an g-wrap-staticffi patch that match with current release.

* Tue Jul 10 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.9.8-1
- Updated Release.
- Added missing modules.
- Kept libffi.la file.

* Fri Jun  8 2007 Bill Nottingham <notting@redhat.com> - 1.9.6-12
- fix license tag - LGPL, not GPL (#222347)

* Mon May  7 2007 Bill Nottingham <notting@redhat.com> - 1.9.6-11
- re-add .la files (#238263)

* Thu Jan 18 2007 Bill Nottingham <notting@redhat.com> - 1.9.6-10
- remove .la files
- fix build with -Werror
- fix install-info (<ville.skytta@iki.fi>)

* Thu Jan 11 2007 Bill Nottingham <notting@redhat.com> - 1.9.6-8
- various spec cleanups

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.9.6-7.1
- rebuild

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> 1.9.6-5
- move ffi headers to %%{_libdir}, as they're arch-dependent (#192685)
- buildprereq glib2-devel, not glib-devel

* Thu May 18 2006 Bill Nottingham <notting@redhat.com> 1.9.6-6
- rebuild against new guile, again

* Wed May 17 2006 Bill Nottingham <notting@redhat.com> 1.9.6-5
- rebuild against new guile

* Tue May  9 2006 Bill Nottingham <notting@redhat.com> 1.9.6-4
- rebuild against new guile

* Mon Mar 27 2006 Bill Nottingham <notting@redhat.com> 1.9.6-3
- build against glib2

* Mon Feb 27 2006 Bill Nottingham <notting@redhat.com> 1.9.6-2
- don't use an executable stack (#183287)

* Sat Feb 18 2006 Bill Nottingham <notting@redhat.com> 1.9.6-1
- update to 1.9.6, to fix incompatiblity with gcc-4.x
- disable static libs

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.3.4-9.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.3.4-9.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Jul  7 2005 Bill Nottingham <notting@redhat.com> 1.3.4-9
- add patch for M4 quoting (#162649, <rc040203@freenet.de>)

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.3.4-8
- rebuild

* Tue Jun 22 2004 Than Ngo <than@redhat.com> 1.3.4-7
- don't run make check on x86_64, it doesn't like new guile
- fix build problem on x86_64/s390*

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 18 2003 Bill Nottingham <notting@redhat.com> 1.3.4-4
- don't run make check on x86_64, it doesn't like new guile

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Bill Nottingham <notting@redhat.com> 1.3.4-2
- move .la files to main package (#79068)

* Mon Dec 23 2002 Bill Nottingham <notting@redhat.com> 1.3.4-1
- update to 1.3.4

* Wed Dec  4 2002 Bill Nottingham <notting@redhat.com> 1.3.2-2
- rebuild (self hosting? what's that?)

* Tue Dec  3 2002 Bill Nottingham <notting@redhat.com> 1.3.2-1
- update to 1.3.2

* Tue Dec  3 2002 Bill Nottingham <notting@redhat.com> 1.2.1-9
- rebuild against new guile

* Mon Nov 11 2002 Tim Powers <timp@redhat.com> 1.2.1-8
- rebuild to fix broken deps

* Wed Nov  6 2002 Bill Nottingham <notting@redhat.com> 1.2.1-7
- unautomated rebuild
- make it self-host (#71614)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr  8 2002 Bill Nottingham <notting@redhat.com>
- rebuild against fixed guile

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Tue Jan 29 2002 Bill Nottingham <notting@redhat.com>
- rebuild, thwack dependencies

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- rebuild against new guile, update to 1.2.1

* Thu Jan 24 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Fri Aug  9 2001 Bill Nottingham <notting@redhat.com>
- fix builds for users without /sbin in their path

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- fix build
- put a .so link in the g-wrapped directory in the main package (fixes #51129)

* Fri Jul  6 2001 Bill Nottingham <notting@redhat.com>
- tweak dependencies

* Wed Jun 27 2001 Bill Nottingham <notting@redhat.com>
- add info dir entry

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.10
- split out devel package

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed group to be a valid one
- fix bug #15038

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Preston Brown <pbrown@redhat.com>
- adopted for Powertools 7.1
